pub mod songmeta;
use crate::songmeta::songmeta::*;

pub mod playlist;
use crate::playlist::playlist::*;

pub mod audioplayer;
use crate::audioplayer::audioplayer::*;

pub mod audiowrapper;
use crate::audiowrapper::audiowrapper::*;

use std::thread::sleep;
use std::time::Duration;

fn main() {
    let mut wrap = AudioWrapper::new();
    let mut pl = Playlist::new();
    pl.add_song_from_path(&String::from("/home/justine/Music/1.mp3")).unwrap();
    wrap.playlist = pl;
    wrap.play_at(0);
    sleep(Duration::from_secs(5));
    wrap.stop();
    sleep(Duration::from_secs(5));
    dbg!(wrap);
}


